echo errors

This commit is contained in:
Souhaila Noor 2021-11-23 17:09:35 -06:00
parent 612e11887f
commit d13eef4c4b
2 changed files with 4 additions and 2 deletions

View file

@ -198,7 +198,7 @@ build container fb:
# deploy EC2 instance and save instance ID to a text file
deploy node for linux amd64:
stage: integration
stage: lint
image: registry.gitlab.com/gitlab-org/cloud-deploy/aws-base:latest
variables:
PROFILE: "default"
@ -209,7 +209,6 @@ deploy node for linux amd64:
- aws configure set region "us-east-2"
- aws configure set aws_profile $PROFILE
- echo $AWS_SSH_PRIVATE_KEY > gitlab-featurebase-dev.pem
- echo $AWS_SSH_PRIVATE_KEY > gitlab-featurebase-dev.pem
- chmod 400 gitlab-featurebase-dev.pem
- 'which ssh-agent || ( apt-get update -y && apt-get install openssh-client -y )'
- eval `ssh-agent -s`

View file

@ -49,6 +49,7 @@ REGION="us-east-2"
# launch instance, save instance Id and run cloud-init to set up node env
deploy_node
if [ $? > 0 ]; then
echo "Error: " >&2
exit 1
fi
@ -57,7 +58,9 @@ fi
initialize_featurebase
if [ $? > 0 ]; then
terminate_node
echo "Error: " >&2
exit 1
else
terminate_node
exit 0
fi